[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#562101: marked as done (psh fails to properly evaluate regular expressions)

Your message dated Sun, 12 Sep 2010 16:02:37 +0000
with message-id <E1Oup0n-0004rZ-KL@merkel.debian.org>
and subject line Package psh has been removed from Debian
has caused the Debian Bug report #562101,
regarding psh fails to properly evaluate regular expressions
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

562101: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=562101
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: psh
Version: 1.8-9
Severity: normal

Hi there,

I admit that this can be stupidity on my side, failing to see what's wrong
here, but I think it also might be a bug...

Look at this log, please:

bash$ perl -e '$a=10518; if ($a =~ /\d+/) {print "yes\n";} else {print "no\n";}'
bash$ psh
psh% $a=10518; if ($a =~ /\d+/) {print "yes\n";} else {print "no\n";}

Any reason why psh doesn't think that $a is composed of digits?

Marcos Marado

-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.29-bpo.2-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages psh depends on:
ii  debianutils                   2.30       Miscellaneous utilities specific t
ii  libbsd-resource-perl          1.28-1+b1  perl BSD::Resource - BSD process r
ii  libterm-readline-gnu-perl     1.17a-2+b1 Perl extension for the GNU Readlin
ii  perl                          5.10.0-23  Larry Wall's Practical Extraction 

psh recommends no packages.

psh suggests no packages.

-- no debconf information

--- End Message ---
--- Begin Message ---
Version: 1.8-9+rm

You filed the bug http://bugs.debian.org/562101 in Debian BTS
against the package psh. I'm closing it at *unstable*, but it will
remain open for older distributions.

For more information about this package's removal, read
http://bugs.debian.org/596551. That bug might give the reasons why
this package was removed and suggestions of possible replacements.

Don't hesitate to reply to this mail if you have any question.

Thank you for your contribution to Debian.

Luca Falavigna

--- End Message ---

Reply to: